
# Dynamic Library Programming
# http://developer.apple.com/documentation/DeveloperTools/Conceptual/DynamicLibraries/


# standard location of darwinports
MK_CPPFLAGS += -I/opt/local/include
MK_LDFLAGS += -L/opt/local/lib


# probably better to mess with poll() on MacOSX:
# http://fink.sourceforge.net/doc/porting/porting.en.html#preparing-10.4.system-libs
MK_CPPFLAGS += -DCAROB_USE_SELECT


# Named locales silently fail (fallback on POSIX?)  TODO: test again
# with XCode > 1.1. For instance "locale -a" works on MacOSX >= 10.4
# Maybe using locale named "" on 10.4 would provide an UTF-8 codec?

MK_CPPFLAGS += -DCAROB_USE_ICONV -DCAROB_FORCE_UNICODE_WCHAR
MK_LDLIBS   += -liconv


# Hack to get   std::isnan,isinf,signbit   C99-like features
# http://lists.apple.com/archives/xcode-users/2005/Feb/msg00238.html

# Tested on MacOS 10.3 with XCode 1.1 updated (gcc 3.3). We'll have to
# move this to C99Math.h in case we have to differentiate gcc versions.

MK_CPPFLAGS += -D_GLIBCPP_USE_C99


LINKER = darwinlibtool




