# Copyright 2006 Continuent, Inc. 
# Distributed under the terms of the Apache License, Version 2.0
# $Header: /cvsroot/carob/carob/carob.ebuild,v 1.2 2006/11/20 13:01:38 csaba Exp $

MY_P=${PN}-r${PV//./_}

DESCRIPTION="Bringing Sequoia technology to the C/C++ world."
HOMEPAGE="http://carob.continuent.org"
SRC_URI="http://carob.continuent.org/repo/src/${MY_P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="dev-libs/gmp"

S=${WORKDIR}/${MY_P}

src_compile() {
	emake || die
}

src_install() {
	dolib.a *.a || die
	dolib.so *.so* || die

	insinto /usr/include/${PN}
	doins include/*.hpp || die

	dodoc README doc/RELNOTES

	dohtml -r doxygen/html/*
}

